PHP 5.3 builds

PPA description

A php-5.3 packages.

It can be installed with other my php build versions.
Even with system version.
Or it can pretend to be system version.

If you want to use PHP packages you'll need to add ppa:
- ppa:sergey-dryabzhinsky/packages to get backported packages and libraries

If you want to rebuild PHP packages you'll need to add ppa:
- ppa:sergey-dryabzhinsky/toolchain to get backported toolchain packages

To control enabled modules - use cute tool - php-modset (php53-modset).

If you want use additional extensions you'll need to add one of these PPAs:
- ppa:sergey-dryabzhinsky/php-modules
- ppa:sergey-dryabzhinsky/php53-modules

To use php-5.3 as system PHP - install `*php53p*` packages.
They provide alias names like system packages.

Build is Not-Thread-Safe. So it will work only with 'prefork' or 'itk' apache mpm.

== Attention! ==

PHP 5.3 is officially EOL. No security patches any more.
Not recommended to use. Only if things (code) really bad.
All users encouraged to switch to the most recent version!

@2017-09-06
Error while loading bcmath module!
Don't use it for now.

@2017-05
Beware! Precise is obsolete and packages will not be updated!
For Precise packages follow http://dryabzhinsky.noip.me/packages/

@2015-05
Lucid is obsolete and packages will not be updated!
For Lucid packages follow http://dryabzhinsky.noip.me/packages/

== Changes ==

@2017-08
A huge update, alot patches/fixes/merges.
Add interbase/firebird module (Josenilton Costa JĂșnior request)

@2017-01-12
Extension 'mysqli' which uses stock libmysqlclinent library is broken on Xenial!
Solution is to use 'mysqlnd' extensions or use mysql-5.5 client library backported in `packages` ppa.

@2016-11-27
- openssl module builded with openssl-1.0.1 from packages ppa.

@2016-10-18
- Updated or fixed all copyrights shipped with original Debian/Ubuntu packages. No one forgotten I hope.
- openssl module builded with openssl-0.9.8 from packages ppa.
- Debian patchset updated
- Added upstart and systemd init scripts for fpm and cgi-daemon

@2015-11
By default timezone now UTC.

@2015-07-26
Package names changes:
- php53-apache2 -> libapache2-mod-php53
- php53-mod-pdo -> gone into php
- php53-mod-mysql now has inside mysql, mysqli, pdo-mysql
- php53-mod-mysqlnd now has inside mysqlnd, mysql, mysqli, pdo-mysql
- php53-mod-pgsql now has inside pgsql, pdo-pgsql
- php53-mod-sqlite now has inside sqlite, sqlite3, pdo-sqlite

@2014-08
Official EOL (End of Life)

Adding this PPA to your system

You can update your system with unsupported packages from this untrusted PPA by adding ppa:sergey-dryabzhinsky/php53 to your system's Software Sources. (Read about installing)

sudo add-apt-repository ppa:sergey-dryabzhinsky/php53
sudo apt-get update
        
Technical details about this PPA

This PPA can be added to your system manually by copying the lines below and adding them to your system's software sources.

Display sources.list entries for:
deb http://ppa.launchpad.net/sergey-dryabzhinsky/php53/ubuntu YOUR_UBUNTU_VERSION_HERE main 
deb-src http://ppa.launchpad.net/sergey-dryabzhinsky/php53/ubuntu YOUR_UBUNTU_VERSION_HERE main 
Signing key:
1024R/E2191A3374CEFC7A5AD07D05CD44D3EE9CE1C29A (What is this?)
Fingerprint:
E2191A3374CEFC7A5AD07D05CD44D3EE9CE1C29A

Dependencies:

For questions and bugs with software in this PPA please contact SergeyD.

PPA statistics

Activity
0 updates added during the past month.
View package details

Overview of published packages

13 of 3 results
Package Version Uploaded by
php53 5.3.29-1sergeyd14.4~xenial1 SergeyD (2017-09-06)
php53 5.3.29-1sergeyd14.4~trusty1 SergeyD (2017-09-06)
php53 5.3.29-1sergeyd14.4~precise1 SergeyD (2017-09-06)
13 of 3 results

Latest updates

  • php53 75 weeks ago
    Successfully built
  • php53 75 weeks ago
    Successfully built
  • php53 75 weeks ago
    Successfully built